Page MenuHomePhabricator

Some arrows direction in SVG are wrongly rendered
Closed, ResolvedPublic

Description

Image rendered by Wiki showing arrows with wrong direction

If you go to this URL:
http://en.wikipedia.org/wiki/Servlet
and click the first SVG image (Life of a JSP file), the SVG image rendered by Wiki has arrows whose directions are wrong.

To illustrate this problem, I'll attach two images:

  • The first one is the screen capture of the Wiki-rendered SVG image where wrong arrows are circled in red.
  • The second one shows the correct image rendered by Firefox 3.

Version: unspecified
Severity: normal
URL: http://en.wikipedia.org/wiki/File:JSPLife.svg

Attached:

Details

Reference
bz19053

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:40 PM
bzimport set Reference to bz19053.
Horinius created this task.Jun 2 2009, 1:56 PM

Created attachment 6184
Image rendered by Firefox 3 showing correct arrow directions

Attached:

brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

I've just checked this bug today (2010.11.04) and it is gone. So it's somehow fixed already.

Gilles moved this task from Untriaged to Done on the Multimedia board.